Skip to content
Start here

Get URL Intelligence

client.intel.urls.get(URLGetParams { account_id, url } params, RequestOptionsoptions?): URL { content_categories, full_url, hostname, 2 more }
GET/accounts/{account_id}/intel/url

Gets security information about a URL, including content categories and risk types. The URL must be provided as a query parameter.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params: URLGetParams { account_id, url }
account_id: string

Path param: Identifier.

maxLength32
url: string

Query param: The URL to look up.

ReturnsExpand Collapse
URL { content_categories, full_url, hostname, 2 more }
content_categories: Array<ContentCategory>

Content categories associated with this URL.

id?: number
name?: string
source_id?: number
super_category_id?: number
full_url: string

The full URL that was looked up.

hostname: string

The hostname of the URL.

risk_type: Array<RiskType>

Security risk types associated with this URL.

id?: number
name?: string
source_id?: number
super_category_id?: number
url_path: string

The path component of the URL.

Get URL Intelligence

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const url = await client.intel.urls.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  url: 'url',
});

console.log(url.content_categories);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}